KateCommands::Date Class Reference

`#include <katecmds.h>`

Inheritance diagram for KateCommands::Date:

## Public Member Functions

bool | exec (class Kate::View *view, const QString &cmd, QString &errorMsg)
bool | help (class Kate::View *, const QString &, QString &)
QStringList | cmds ()

## Detailed Description

insert the current date/time in the given format

Definition at line 153 of file katecmds.h.

## Member Function Documentation

QStringList KateCommands::Date::cmds | ( |  | ) |

inline virtual

supported commands as prefixes

Returns
  prefix list

Implements Kate::Command.

Definition at line 171 of file katecmds.h.

bool KateCommands::Date::exec | ( | class Kate::View * | view,
|  | const QString & | cmd,
|  | QString & | errorMsg
| ) |  |

virtual

execute command

Parameters

  view | view to use for execution
  cmd | cmd string
  errorMsg | error to return if no success

Returns
  success

Implements Kate::Command.

Definition at line 591 of file katecmds.cpp.

bool KateCommands::Date::help | ( | class Kate::View * | view,
|  | const QString & | cmd,
|  | QString & | msg
| ) |  |

inline virtual

Shows help for the given view and cmd string, return a bool about success, msg for status.

Implements Kate::Command.

Definition at line 165 of file katecmds.h.

The documentation for this class was generated from the following files:

- katecmds.h
- katecmds.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys